import { AfterViewInit, ElementRef, ChangeDetectorRef, OnChanges, OnInit, OnDestroy } from '@angular/core';
export declare class TooltipContent implements AfterViewInit, OnChanges, OnInit, OnDestroy {
    private element;
    private cdr;
    hostElement: HTMLElement;
    content: string;
    placement: 'top' | 'bottom' | 'left' | 'right';
    animation: boolean;
    changeSize: any;
    hideTimeoutMs: number;
    top: number;
    left: number;
    isIn: boolean;
    isFade: boolean;
    mouseIn: boolean;
    sizeWasChanged: boolean;
    preventAutoHide: boolean;
    onMouseEnter: Function;
    onMouseLeave: Function;
    constructor(element: ElementRef, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    show(): void;
    hide(): void;
    private positionElements(hostEl, targetEl, positionStr, appendToBody?);
    private position(nativeEl);
    private offset(nativeEl);
    private getStyle(nativeEl, cssProp);
    private isStaticPositioned(nativeEl);
    private parentOffsetEl(nativeEl);
}
